import { Texture } from 'three';
import SpeckleStandardMaterial from './SpeckleStandardMaterial';
import { Uniforms } from './SpeckleMaterial';
declare class SpeckleStandardColoredMaterial extends SpeckleStandardMaterial {
    protected get vertexShader(): string;
    protected get fragmentShader(): string;
    protected get uniformsDef(): Uniforms;
    constructor(parameters: any, defines?: any[]);
    setGradientTexture(texture: Texture): void;
    /** Called by three.js render loop */
    onBeforeRender(_this: any, scene: any, camera: any, geometry: any, object: any, group: any): void;
}
export default SpeckleStandardColoredMaterial;
